package config

import (
	"flag"
	"github.com/go-playground/validator/v10"
)

type Config struct {
	Scenario string `validate:"required"`
}

func Get() (*Config, error) {
	conf := &Config{}
	flag.StringVar(&conf.Scenario, "scenario", "", "URL base")
	flag.Parse()

	// Валидируем параметры
	if err := validator.New().Struct(conf); err != nil {
		return nil, err
	}
	return conf, nil
}
